Subject: (usr-tc) TimeZone Reality Check for ARC's

From: Scott Trautman <[email-masked]>
Date: Fri, 01 Oct 1999 16:53:16 +0000

ARC's only do GMT?

Time IS correct w/NTP, but could find nothing on setting TimeZone.
Makes "list connections"'s look weird with the login times, but that's about
it.

SMT

Scott M. Trautman               800-482-4638
Global Dialog Internet          608-240-4638,4637fax
2810 Crossroads, STE LL2         [email-masked]
Madison WI 53718                    http://www.gdinet.com

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.

---

From: Mike Wronski <[email-masked]>
Date: Fri, 01 Oct 1999 17:10:58 +0000

|-----Original Message-----
|From: [email-masked]
|[mailto:[email-masked]]On Behalf Of Scott Trautman
|Sent: Friday, October 01, 1999 9:50 AM
|To: [email-masked]'
|Subject: (usr-tc) TimeZone Reality Check for ARC's
|
|
|ARC's only do GMT?
|
|Time IS correct w/NTP, but could find nothing on setting TimeZone.
|Makes "list connections"'s look weird with the login times, but that's about
|it.
|

You are correct sir.

-M

-

---

From: [email-masked]
Date: Fri, 01 Oct 1999 22:07:40 +0000

>|Makes "list connections"'s look weird with the login times, but that's about

Perhaps that could be put in the "Wish List"? The ability to set
the ARCs to one's own time zone? (Incidently, 3Com, why wasn't
that taken into consideration in the first place?)

*********************************************************
Michelle M. Mogil
N&CS, Network Operations Center
Rhodes Hall, Cornell University, Ithaca, NY 14853
vox: (607) 255-0516, fax: (607) 255-8420
email: [email-masked]
**********************************************

-

---

From: Jeff Mcadams <[email-masked]>
Date: Fri, 01 Oct 1999 23:17:34 +0000

Thus spake [email-masked]
>that taken into consideration in the first place?)

Indeed, this would be a nice thing to have, and shouldn't take too
terribly long to implement, but to be honest, it is purely a cosmetic
thing.  It doesn't affect funtionality of the system at all.
-- 
Jeff McAdams                            Email: [email-masked]
Head Network Administrator              Voice: (502) 966-3848
IgLou Internet Services                        (800) 436-4456

-

---

From: [email-masked]
Date: Mon, 04 Oct 1999 15:29:27 +0000

>thing.  It doesn't affect funtionality of the system at all.

Not completely a cosmetic thing since I sometimes use it to track
problems. It's just easier to be able to check the time in one's own
time zone rather than to keep mentally subtracting 5. I'm lazy. 8-)

-

---

From: Jeff Mcadams <[email-masked]>
Date: Mon, 04 Oct 1999 15:34:20 +0000

>>>Perhaps that could be put in the "Wish List"? The ability to set the
>>>ARCs to one's own time zone? (Incidently, 3Com, why wasn't that taken
>>>into consideration in the first place?)

>problems. It's just easier to be able to check the time in one's own
           ^^^^^^^^^^^^^^^^
Like I said...its a cosmetic thing.  ;)

-

---

From: [email-masked]
Date: Mon, 04 Oct 1999 18:35:18 +0000

-> Thus spake [email-masked]
-> >>Thus spake [email-masked]
-> >>>Perhaps that could be put in the "Wish List"? The ability to set the
-> >>>ARCs to one's own time zone? (Incidently, 3Com, why wasn't that taken
-> >>>into consideration in the first place?)
->
-> >>Indeed, this would be a nice thing to have, and shouldn't take too
-> >>terribly long to implement, but to be honest, it is purely a cosmetic
-> >>thing.  It doesn't affect funtionality of the system at all.
->
-> >Not completely a cosmetic thing since I sometimes use it to track
-> >problems. It's just easier to be able to check the time in one's own
-> ^^^^^^^^^^^^^^^^
-> Like I said...its a cosmetic thing.  ;)
->
-> >time zone rather than to keep mentally subtracting 5. I'm lazy. 8-)

Jeff,

Not exactly.  If you are using this with an enterprise management system
which aggregates SNMP traps, there could be a problem with some of the
devices reporting local time and some reporting GMT time.  The fact that
most network devices allow for a timezone offset would lend credence
to this.

Jeff Binkley
ASA Network Computing

-

---

From: Jeff Mcadams <[email-masked]>
Date: Mon, 04 Oct 1999 19:17:30 +0000

Thus spake Jeff Binkley

>most network devices allow for a timezone offset would lend credence

Well, I would hope that in SNMP traps, the data would be in GMT and not
in a human-readable, and unbelievably-hard-to-reliably-parse format.
Converting and display the SNMP trap timestamp information in a human
readable format and timezone of the viewer should be the job of the
enterprise management system, certainly not of the SNMP agent.
-- 
Jeff McAdams                            Email: [email-masked]
Head Network Administrator              Voice: (502) 966-3848
IgLou Internet Services                        (800) 436-4456

-

---

From: Mike Wronski <[email-masked]>
Date: Mon, 04 Oct 1999 20:17:59 +0000

To put an end to this thread. HARC 5.0 has TZ configurable for cosmetic reasons..
And I do believe that Jeff is correct here. The TIMESTAMP should always be in
GMT. The receiver is responsible for correcting for local display.

-M

|-----Original Message-----
|From: [email-masked]
|[mailto:[email-masked]]On Behalf Of Jeff Mcadams
|Sent: Monday, October 04, 1999 12:14 PM
|To: [email-masked]
|Subject: Re: (usr-tc) TimeZone Reality Check for ARC's
|
|
|Thus spake Jeff Binkley
|>-> >Not completely a cosmetic thing since I sometimes use it to track
|>-> >problems. It's just easier to be able to check the time in one's own
|>-> ^^^^^^^^^^^^^^^^
|>-> Like I said...its a cosmetic thing.  ;)
|
|>-> >time zone rather than to keep mentally subtracting 5. I'm lazy. 8-)
|
|>Not exactly.  If you are using this with an enterprise management system
|>which aggregates SNMP traps, there could be a problem with some of the
|>devices reporting local time and some reporting GMT time.  The fact that
|>most network devices allow for a timezone offset would lend credence
|>to this.
|
|Well, I would hope that in SNMP traps, the data would be in GMT and not
|in a human-readable, and unbelievably-hard-to-reliably-parse format.
|Converting and display the SNMP trap timestamp information in a human
|readable format and timezone of the viewer should be the job of the
|enterprise management system, certainly not of the SNMP agent.
|--
|Jeff McAdams                            Email: [email-masked]
|Head Network Administrator              Voice: (502) 966-3848
|IgLou Internet Services                        (800) 436-4456
|
|-
| To unsubscribe to usr-tc, send an email to "[email-masked]"
| with "unsubscribe usr-tc" in the body of the message.
| For information on digests or retrieving files and old messages send
| "help" to the same address.  Do not use quotes in your message.
|

-

---

From: Mike Andrews <[email-masked]>
Date: Mon, 04 Oct 1999 21:41:47 +0000

> most network devices allow for a timezone offset would lend credence

The NMC sends almost all of the traps, and it has a timezone (and daylight
time) setting.

I haven't seen the ARC send any traps, except for some OSPF ones that I
ended up turning off anyway because they weren't useful...

Mike Andrews (MA12) * [email-masked] * http://www.bit0.com/
VP, sysadmin, & network guy, Digital Crescent Inc, Frankfort KY
Internet services for Frankfort, Lawrenceburg, Owenton, & Shelbyville
"With sufficient thrust, pigs fly just fine." -- RFC 1925

-

---

From: Mike Andrews <[email-masked]>
Date: Mon, 04 Oct 1999 21:43:14 +0000

What else is new in 5.0?  (You just KNEW you were gonna get asked that :)
I'm guessing it won't be out for quite a while...  but I'm mildly curious.

-